/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.shibboleth.idp.config.profile;

import jp.gakunin.shibboleth.idp.config.profile.saml1.SAML1ApprovedAttributeQueryProfileHandlerBeanDefinitionParser;
import jp.gakunin.shibboleth.idp.config.profile.saml2.SAML2ApprovedAttributeQueryProfileHandlerBeanDefinitionParser;
import edu.internet2.middleware.shibboleth.common.config.BaseSpringNamespaceHandler;

/**
 * Spring namespace handler for profile handler configurations.
 */
public class UApproveProfileHandlerNamespaceHandler extends BaseSpringNamespaceHandler {

    /** Namespace URI. */
    public static final String NAMESPACE = "http://www.gakunin.jp/ns/uapprove-jp/profile-handler";

    /** {@inheritDoc} */
    public void init() {
        registerBeanDefinitionParser(SAML1ApprovedAttributeQueryProfileHandlerBeanDefinitionParser.SCHEMA_TYPE,
                new SAML1ApprovedAttributeQueryProfileHandlerBeanDefinitionParser());

        registerBeanDefinitionParser(SAML2ApprovedAttributeQueryProfileHandlerBeanDefinitionParser.SCHEMA_TYPE,
                new SAML2ApprovedAttributeQueryProfileHandlerBeanDefinitionParser());

    }
}
