/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.shibboleth.idp.config.profile.saml1;

import javax.xml.namespace.QName;

import jp.gakunin.shibboleth.idp.config.profile.UApproveProfileHandlerNamespaceHandler;
import jp.gakunin.shibboleth.idp.profile.saml1.ApprovedAttributeQueryProfileHandler;

import org.springframework.beans.factory.support.BeanDefinitionBuilder;
import org.w3c.dom.Element;

import edu.internet2.middleware.shibboleth.idp.config.profile.saml2.AbstractSAML2ProfileHandlerBeanDefinitionParser;

/**
 * Spring bean definition parser for {@link ApprovedAttributeQueryProfileHandler} profile handlers.
 */
public class SAML1ApprovedAttributeQueryProfileHandlerBeanDefinitionParser extends
        AbstractSAML2ProfileHandlerBeanDefinitionParser {

    /** Schema type. */
    public static final QName SCHEMA_TYPE = new QName(UApproveProfileHandlerNamespaceHandler.NAMESPACE,
            "SAML1AttributeQueryUApprove");

    /** {@inheritDoc} */
    protected Class getBeanClass(final Element arg0) {
        return ApprovedAttributeQueryProfileHandler.class;
    }

    /** {@inheritDoc} */
    protected void doParse(final Element config, final BeanDefinitionBuilder builder) {
        super.doParse(config, builder);

        builder.addPropertyReference("attributeReleaseModule", "uApprove.attributeReleaseModule");

        builder.addPropertyReference("serviceAccessDataModule", "uApprove.serviceAccessDataModule");

        builder.setInitMethodName("initialize");
    }
}