/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.ar;

import java.util.Collections;
import java.util.List;

import ch.SWITCH.aai.uApprove.ar.Attribute;
import jp.gakunin.uApprovejp.saml2.metadata.Description;
import edu.internet2.middleware.shibboleth.common.attribute.encoding.AttributeEncoder;

/**
 *
 */
public class AttributeDetail extends Attribute {

    private List<AttributeEncoder> encoders;

    private String intendedUse;

    private List<Description> intendedUseList;

    /**
     * Constructor.
     * 
     * @param id
     * @param name
     * @param description
     * @param values
     */
    public AttributeDetail(final String id, final String name, final String description, final List<String> values) {
        super(id, name, description, values);
        encoders = Collections.EMPTY_LIST;
        intendedUse = null;
        intendedUseList = Collections.emptyList();
    }

    /**
     * Constructor.
     * 
     * @param attribute
     */
    public AttributeDetail(final Attribute attr) {
        this(attr.getId(), attr.getName(), attr.getDescription(), attr.getValues());
    }

    /**
     * @return Returns the encoders.
     */
    public List<AttributeEncoder> getEncoders() {
        return encoders;
    }

    /**
     * @param encoders The encoders to set.
     */
    public void setEncoders(final List<AttributeEncoder> encoders) {
        this.encoders = encoders;
    }

    /**
     * @return Returns the intendedUse or null.
     */
    public String getIntendedUse() {
        return intendedUse;
    }

    /**
     * @param intendedUse The intendedUse to set.
     */
    public void setIntendedUse(final String intendedUse) {
        this.intendedUse = intendedUse;
    }

    /**
     * @return Returns the intendedUseList.
     */
    public List<Description> getIntendedUseList() {
        return intendedUseList;
    }

    /**
     * @param intendedUseList The intendedUseList to set.
     */
    public void setIntendedUseList(final List<Description> intendedUseList) {
        this.intendedUseList = intendedUseList;
    }

}
