/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.ar;

import javax.servlet.http.HttpServletRequest;

/**
 *
 */
public enum PageControl {
    NEXT("next"), BACK("back"), SEND("send"), ;

    private String name;

    private PageControl(final String name) {
        this.name = name;
    }

    /**
     * Checks the request parameter that was set by submit button matches the control name.
     * 
     * @param request
     * @return
     */
    public boolean isRequested(final HttpServletRequest request) {
        if (request.getParameter(name) == null || request.getParameter(name).equals("")) {
            return false;
        }
        return true;
    }
}
