/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.ar;

import ch.SWITCH.aai.uApprove.ar.Attribute;

/**
 * Attribute selectable.
 */
public class SelectableAttribute extends Attribute {

    private String defaultIntendedUse;

    private String localizedIntendedUse;

    private boolean selected;

    private boolean modified;

    /**
     * Constructor.
     * 
     * @param attribute
     */
    public SelectableAttribute(final Attribute attribute) {
        super(attribute.getId(), attribute.getName(), attribute.getDescription(), attribute.getValues());
        defaultIntendedUse = null;
        localizedIntendedUse = null;
        selected = false;
        modified = false;
    }

    /**
     * @return Returns the intendedUse or null.
     */
    public String getIntendedUse() {
        if (localizedIntendedUse != null) {
            return localizedIntendedUse;
        }
        return defaultIntendedUse;
    }

    /**
     * @param intendedUse The intendedUse to set.
     */
    public void setDefaultIntendedUse(final String intendedUse) {
        this.defaultIntendedUse = intendedUse;
    }

    /**
     * @param localizedIntendedUse The localizedIntendedUse to set.
     */
    public void setLocalizedIntendedUse(final String localizedIntendedUse) {
        this.localizedIntendedUse = localizedIntendedUse;
    }

    /**
     * @return Returns the selected.
     */
    public boolean isSelected() {
        return selected;
    }

    /**
     * @param selected The selected to set.
     */
    public void setSelected(final boolean selected) {
        this.selected = selected;
    }

    /**
     * @return Returns the modified.
     */
    public boolean isModified() {
        return modified;
    }

    /**
     * @param modified The modified to set.
     */
    public void setModified(final boolean modified) {
        this.modified = modified;
    }

}
