/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.consent;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;

import jp.gakunin.uApprovejp.ar.SelectableAttribute;
import jp.gakunin.uApprovejp.sad.ServiceAccessDataModule;
import ch.SWITCH.aai.uApprove.IdPHelper;
import ch.SWITCH.aai.uApprove.ar.Attribute;
import ch.SWITCH.aai.uApprove.ar.AttributeReleaseModule;

/**
 *
 */
public abstract class ConsentOperation {

    protected final ServiceAccessDataModule serviceAccessDataModule;

    protected final AttributeReleaseModule attributeReleaseModule;

    /**
     * Constructor.
     * 
     * @param serviceAccessDataModule
     * @param attributeReleaseModule
     */
    protected ConsentOperation(final ServiceAccessDataModule serviceAccessDataModule,
            final AttributeReleaseModule attributeReleaseModule) {
        this.serviceAccessDataModule = serviceAccessDataModule;
        this.attributeReleaseModule = attributeReleaseModule;
    }

    /**
     * @param servletContext
     * @param req
     * @return
     */
    protected List<Attribute> getApprovedAttributes(final ServletContext servletContext, final HttpServletRequest req) {
        final List<SelectableAttribute> attributes = IdPHelper.getAttributes(servletContext, req);
        final List<SelectableAttribute> mandatoryAttributes = IdPHelper.getMandatoryAttributes(servletContext, req);

        final List<Attribute> newList = new ArrayList<Attribute>();
        for (final SelectableAttribute attribute : mandatoryAttributes) {
            newList.add(attribute);
        }
        for (final SelectableAttribute attribute : attributes) {
            if (attribute.isSelected()) {
                newList.add(attribute);
            }
        }

        return newList;
    }

    /**
     * @param servletContext
     * @param req
     */
    public abstract void consent(ServletContext servletContext, HttpServletRequest req);

}
