/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.consent;

import jp.gakunin.uApprovejp.sad.ServiceAccessDataModule;
import ch.SWITCH.aai.uApprove.ar.AttributeReleaseModule;
import ch.SWITCH.aai.uApprove.ar.SAMLHelper;

/**
 *
 */
public class ConsentOperationFacrtory {
    private final AttributeReleaseModule attributeReleaseModule;

    private final ServiceAccessDataModule serviceAccessDataModule;

    private final SAMLHelper samlHelper;

    /**
     * Constructor.
     * 
     * @param serviceAccessDataModule
     * @param attributeReleaseModule
     * @param samlHelper TODO
     */
    public ConsentOperationFacrtory(final ServiceAccessDataModule serviceAccessDataModule,
            final AttributeReleaseModule attributeReleaseModule, final SAMLHelper samlHelper) {
        this.attributeReleaseModule = attributeReleaseModule;
        this.serviceAccessDataModule = serviceAccessDataModule;
        this.samlHelper = samlHelper;
    }

    /**
     * @return
     */
    public OneTimeConsentOperation createOneTimeConsentOperation() {
        return new OneTimeConsentOperation(serviceAccessDataModule, attributeReleaseModule);
    }

    /**
     * @return
     */
    public ThisServiceConsentOperation createThisServiceConsentOperation() {
        return new ThisServiceConsentOperation(serviceAccessDataModule, attributeReleaseModule, samlHelper);
    }

    /**
     * @return
     */
    public GeneralConsentOperation createGeneralConsentOperation() {
        return new GeneralConsentOperation(serviceAccessDataModule, attributeReleaseModule);
    }

}
