/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.consent;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;

import jp.gakunin.uApprovejp.sad.ServiceAccessDataModule;

import org.joda.time.DateTime;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import ch.SWITCH.aai.uApprove.IdPHelper;
import ch.SWITCH.aai.uApprove.ar.AttributeReleaseModule;

/**
 *
 */
public class GeneralConsentOperation extends ConsentOperation {
    /** Class logger. */
    private static final Logger logger = LoggerFactory.getLogger(GeneralConsentOperation.class);

    /**
     * Constructor.
     * 
     * @param serviceAccessDataModule
     * @param attributeReleaseModule
     */
    public GeneralConsentOperation(final ServiceAccessDataModule serviceAccessDataModule,
            final AttributeReleaseModule attributeReleaseModule) {
        super(serviceAccessDataModule, attributeReleaseModule);
    }

    /** {@inheritDoc} */
    public void consent(final ServletContext servletContext, final HttpServletRequest req) {
        final DateTime consentDate = new DateTime();
        final String principalName = IdPHelper.getPrincipalName(servletContext, req);

        logger.debug("Create general consent for {}", principalName);
        serviceAccessDataModule.consentGeneral(principalName, consentDate);
        attributeReleaseModule.consentGeneralAttributeRelease(principalName, consentDate);
    }

}
