/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.lcsp;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.opensaml.util.URLBuilder;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import edu.internet2.middleware.shibboleth.idp.util.HttpServletHelper;

/**
 *
 */
public class LogoutOperation extends ShowViewOperation {

    /** Class logger. */
    private static final Logger logger = LoggerFactory.getLogger(LogoutOperation.class);

    private static String returnUrl = null;

    /**
     * Constructor.
     */
    public LogoutOperation() {
        super("/uApprove/list-approvals-exit.html");
    }

    public static void setReturnURL(final String url) {
        returnUrl = url;
    }

    /** {@inheritDoc} */
    public void showView(final HttpServletRequest req, final HttpServletResponse resp) throws ServletException,
            IOException {
        String url;
        if (returnUrl == null || returnUrl.isEmpty()) {
            final String exitUrl = HttpServletHelper.getContextRelativeUrl(req, jsp).buildURL();
            url = "/Shibboleth.sso/Logout?return=" + exitUrl;
        } else {
            url = "/Shibboleth.sso/Logout?return=" + returnUrl;
        }
        final URLBuilder servletContextUrl = HttpServletHelper.getServletContextUrl(req);
        logger.debug("servlet context url = {}", servletContextUrl.buildURL());
        servletContextUrl.setPath(url);
        final String servletUrl = servletContextUrl.buildURL();
        try {
            logger.trace("Redirect to {}.", servletUrl);
            resp.sendRedirect(servletUrl);
        } catch (final IOException e) {
            logger.error("Error redirecting to profile handler at {}.", url, e);
            // handleException(servletContext, req, resp, e);
        }
    }

}
