/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.lcsp;

import java.util.Locale;

import javax.servlet.http.HttpServletRequest;

import jp.gakunin.uApprovejp.sad.ServiceAccessDataModule;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import ch.SWITCH.aai.uApprove.ar.AttributeReleaseModule;

/**
 *
 */
public class RevokeConfirmOperation extends ShowListApprovalsOperation {

    /** Class logger. */
    private static final Logger logger = LoggerFactory.getLogger(RevokeConfirmOperation.class);

    private final String[] relyingPartyIds;

    /**
     * Constructor.
     * 
     * @param relyingPartyIds TODO
     * 
     */
    public RevokeConfirmOperation(final String[] relyingPartyIds) {
        super();
        this.relyingPartyIds = relyingPartyIds;
    }

    /** {@inheritDoc} */
    @Override
    public void execute(final HttpServletRequest req, final ServiceAccessDataModule serviceAccessDataModule,
            final AttributeReleaseModule attributeReleaseModule, final Locale locale) {

        logger.debug("revoke execute: relyingPartyID={}", (Object[]) relyingPartyIds);

        final String principalName = req.getRemoteUser();

        if (relyingPartyIds.length == 0) {
            attributeReleaseModule.clearGenralConsent(principalName);
            serviceAccessDataModule.clearGeneralConsent(principalName);
        } else {
            for (final String relyingPartyId : relyingPartyIds) {
                attributeReleaseModule.clearRelyingPartyConsent(principalName, relyingPartyId);
                serviceAccessDataModule.clearRelyingPartyConsent(principalName, relyingPartyId);
            }
        }

        super.execute(req, serviceAccessDataModule, attributeReleaseModule, locale);
    }

}
