/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.lcsp;

import java.util.Collections;
import java.util.List;

import org.opensaml.saml2.metadata.ServiceName;
import org.opensaml.samlext.saml2mdui.DisplayName;

/**
 *
 */
public class ServiceNamesBuilder {

    private String relyingPartyId;

    /**
     * (a) md:SPSSODescriptor/md:Extensions/mdui:UIInfo/mdui:DisplayName
     */
    private List<DisplayName> displayNames;

    /**
     * (b) md:AttributeConsumingService/md:ServiceName
     */
    private List<ServiceName> serviceNames;

    /**
     * Constructor.
     * 
     */
    public ServiceNamesBuilder() {
        relyingPartyId = "";
        displayNames = Collections.emptyList();
        serviceNames = Collections.emptyList();
    }

    /**
     * @return
     */
    public ServiceNames buildObject() {
        final ServiceNames createInstance = ServiceNames.createInstance(relyingPartyId);
        createInstance.setMduiDisplayNames(displayNames);
        createInstance.setServiceNames(serviceNames);
        return createInstance;
    }

    /**
     * @param relyingPartyId The relyingPartyId to set.
     */
    public void setRelyingPartyId(final String relyingPartyId) {
        this.relyingPartyId = relyingPartyId;
    }

    /**
     * @param displayNames The displayNames to set.
     */
    public void setDisplayNames(final List<DisplayName> displayNames) {
        this.displayNames = displayNames;
    }

    /**
     * @param names The names to set.
     */
    public void setNames(final List<ServiceName> names) {
        this.serviceNames = names;
    }
}
