/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.lcsp;

import java.util.List;
import java.util.Locale;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import jp.gakunin.uApprovejp.sad.LocalizedServiceAccessData;
import jp.gakunin.uApprovejp.sad.ServiceAccessDataModule;
import ch.SWITCH.aai.uApprove.ar.AttributeReleaseModule;

/**
 *
 */
public class ShowListApprovalsOperation extends ShowViewOperation {

    /**
     * Constructor.
     */
    public ShowListApprovalsOperation() {
        super("/uApprove/list-approvals.jsp");
    }

    /**
     * @param req
     * @param serviceAccessDataModule
     * @param attributeReleaseModule
     * @param locale
     */
    public void execute(final HttpServletRequest req, final ServiceAccessDataModule serviceAccessDataModule,
            final AttributeReleaseModule attributeReleaseModule, final Locale locale) {

        final String principalName = req.getRemoteUser();
        final List<LocalizedServiceAccessData> serviceAccessDatas =
                serviceAccessDataModule.getServiceAccessDatas(principalName, locale);

        final HttpSession session = req.getSession();
        session.setAttribute("serviceAccessDatas", serviceAccessDatas);
    }

}
