/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.lcsp;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 */
public class ShowRevokeApprovalsOperation extends ShowViewOperation {

    /** Class logger. */
    private static final Logger logger = LoggerFactory.getLogger(ShowRevokeApprovalsOperation.class);

    private final List<String> relyingPartyIds;

    /**
     * Constructor.
     */
    public ShowRevokeApprovalsOperation() {
        super("/uApprove/revoke-approvals.jsp");
        relyingPartyIds = new ArrayList<String>();
    }

    /**
     * @param relyingPartyId
     */
    public void add(final String relyingPartyId) {
        relyingPartyIds.add(relyingPartyId);
    }

    /**
     * {@inheritDoc}
     * 
     * @throws IOException
     * @throws ServletException
     */
    public void showView(final HttpServletRequest req, final HttpServletResponse resp) throws ServletException,
            IOException {

        for (final String id : relyingPartyIds) {
            logger.info("revoke relyingPartyID={}", id);
        }

        final HttpSession session = req.getSession();
        session.setAttribute("revocation_list", relyingPartyIds.toArray(new String[0]));
        final Object attribute = session.getAttribute("revocation_list");
        logger.debug("revocation_list is {}", attribute.getClass().getName());
        super.showView(req, resp);
    }

}
