/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.lcsp;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 */
public abstract class ShowViewOperation {

    /** Class logger. */
    private static final Logger logger = LoggerFactory.getLogger(ShowViewOperation.class);

    protected final String jsp;

    /**
     * Constructor.
     * 
     */
    protected ShowViewOperation(final String jsp) {
        this.jsp = jsp;
    }

    /**
     * @param req
     * @param resp TODO
     * @throws IOException
     * @throws ServletException
     */
    public void showView(final HttpServletRequest req, final HttpServletResponse resp) throws ServletException,
            IOException {
        final Object messagesBase = "messages";
        req.setAttribute("bundle", String.format("%s.%s", messagesBase, "list-approvals"));
        // req.setAttribute("locale", viewHelper.selectLocale(req));

        final RequestDispatcher requestDispatcher = req.getRequestDispatcher(jsp);
        logger.info("forward to {}", jsp);

        requestDispatcher.forward(req, resp);
    }

}
