/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.saml2.metadata;

import javax.xml.namespace.QName;

import org.opensaml.common.SAMLObject;
import org.opensaml.common.xml.SAMLConstants;
import org.opensaml.saml2.metadata.LocalizedString;

public interface Description extends SAMLObject {

    /** Element name, no namespace */
    public final static String DEFAULT_ELEMENT_LOCAL_NAME = "Description";

    /** Default element name */
    public final static QName DEFAULT_ELEMENT_NAME = new QName(UApprovejpMetadata.NAMESPACE,
            DEFAULT_ELEMENT_LOCAL_NAME, UApprovejpMetadata.PREFIX);

    /** Local name of the XSI type */
    public final static String TYPE_LOCAL_NAME = "localizedNameType";

    /** QName of the XSI type */
    public final static QName TYPE_NAME = new QName(SAMLConstants.SAML20MD_NS, TYPE_LOCAL_NAME,
            SAMLConstants.SAML20MD_PREFIX);

    /** Language attribute name */
    public final static String LANG_ATTRIB_NAME = "lang";

    /**
     * Gets the description of the service.
     * 
     * @return the description of the service
     */
    public LocalizedString getDescription();

    /**
     * Sets the description of the service.
     * 
     * @param newDescription the description of the service
     */
    public void setDescription(LocalizedString newDescription);

}
