/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.saml2.metadata.impl;

import java.util.List;

import jp.gakunin.uApprovejp.saml2.metadata.Description;

import org.opensaml.common.impl.AbstractSAMLObject;
import org.opensaml.saml2.metadata.LocalizedString;
import org.opensaml.xml.LangBearing;
import org.opensaml.xml.XMLObject;
import org.opensaml.xml.util.DatatypeHelper;

/**
 * Concrete implementation of {@link org.opensaml.saml2.metadata.Description}.
 */
public class DescriptionImpl extends AbstractSAMLObject implements Description {

    /** Service description */
    private LocalizedString description;

    /**
     * Constructor
     * 
     * @param namespaceURI
     * @param elementLocalName
     * @param namespacePrefix
     */
    protected DescriptionImpl(final String namespaceURI, final String elementLocalName, final String namespacePrefix) {
        super(namespaceURI, elementLocalName, namespacePrefix);
    }

    /** {@inheritDoc} */
    public LocalizedString getDescription() {
        return description;
    }

    /** {@inheritDoc} */
    public void setDescription(final LocalizedString newDescription) {
        description = prepareForAssignment(description, newDescription);
        boolean hasXMLLang = false;
        if (description != null && !DatatypeHelper.isEmpty(description.getLanguage())) {
            hasXMLLang = true;
        }
        manageQualifiedAttributeNamespace(LangBearing.XML_LANG_ATTR_NAME, hasXMLLang);
    }

    /** {@inheritDoc} */
    public List<XMLObject> getOrderedChildren() {
        return null;
    }
}