/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.saml2.metadata.impl;

import jp.gakunin.uApprovejp.saml2.metadata.Description;

import org.opensaml.common.impl.AbstractSAMLObjectMarshaller;
import org.opensaml.common.xml.SAMLConstants;
import org.opensaml.xml.XMLObject;
import org.opensaml.xml.io.MarshallingException;
import org.opensaml.xml.util.XMLHelper;
import org.w3c.dom.Attr;
import org.w3c.dom.Element;

/**
 * org.opensaml.saml2.metadata.impl.ServiceDescriptionMarshaller
 */
public class DescriptionMarshaller extends AbstractSAMLObjectMarshaller {

    /** {@inheritDoc} */
    protected void marshallAttributes(final XMLObject xmlObject, final Element domElement) throws MarshallingException {
        final Description description = (Description) xmlObject;

        if (description.getDescription() != null) {
            final Attr attribute =
                    XMLHelper.constructAttribute(domElement.getOwnerDocument(), SAMLConstants.XML_NS,
                            Description.LANG_ATTRIB_NAME, SAMLConstants.XML_PREFIX);
            attribute.setValue(description.getDescription().getLanguage());
            domElement.setAttributeNodeNS(attribute);
        }
        super.marshallAttributes(xmlObject, domElement);
    }

    /** {@inheritDoc} */
    protected void marshallElementContent(final XMLObject xmlObject, final Element domElement)
            throws MarshallingException {
        final Description description = (Description) xmlObject;

        if (description.getDescription() != null) {
            XMLHelper.appendTextContent(domElement, description.getDescription().getLocalString());
        }
        super.marshallElementContent(xmlObject, domElement);
    }

}
