/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.saml2.metadata.impl;

import javax.xml.namespace.QName;

import jp.gakunin.uApprovejp.saml2.metadata.Description;

import org.opensaml.common.impl.AbstractSAMLObjectUnmarshaller;
import org.opensaml.saml2.metadata.LocalizedString;
import org.opensaml.xml.LangBearing;
import org.opensaml.xml.XMLObject;
import org.opensaml.xml.io.UnmarshallingException;
import org.opensaml.xml.util.XMLHelper;
import org.w3c.dom.Attr;

/**
 * org.opensaml.saml2.metadata.impl.ServiceDescriptionUnmarshaller
 */
public class DescriptionUnmarshaller extends AbstractSAMLObjectUnmarshaller {

    /** {@inheritDoc} */
    protected void processAttribute(final XMLObject samlObject, final Attr attribute) throws UnmarshallingException {
        final QName attribName = XMLHelper.getNodeQName(attribute);
        if (LangBearing.XML_LANG_ATTR_NAME.equals(attribName)) {
            final Description description = (Description) samlObject;

            LocalizedString descStr = description.getDescription();
            if (descStr == null) {
                descStr = new LocalizedString();
            }

            descStr.setLanguage(attribute.getValue());
            description.setDescription(descStr);
        }
        super.processAttribute(samlObject, attribute);
    }

    /** {@inheritDoc} */
    protected void processElementContent(final XMLObject samlObject, final String elementContent) {
        final Description description = (Description) samlObject;

        LocalizedString descStr = description.getDescription();
        if (descStr == null) {
            descStr = new LocalizedString();
        }

        descStr.setLocalizedString(elementContent);
        description.setDescription(descStr);
        super.processElementContent(samlObject, elementContent);
    }

}
