/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.saml2.metadata.impl;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import jp.gakunin.uApprovejp.saml2.metadata.Description;
import jp.gakunin.uApprovejp.saml2.metadata.RequestedAttributeExtension;

import org.opensaml.common.impl.AbstractSAMLObject;
import org.opensaml.xml.XMLObject;
import org.opensaml.xml.util.XMLObjectChildrenList;

public class RequestedAttributeExtensionImpl extends AbstractSAMLObject implements RequestedAttributeExtension {

    private final XMLObjectChildrenList<Description> descriptions;

    /** Human readable name of the attribute. */
    private String friendlyName;

    protected RequestedAttributeExtensionImpl(final String namespaceURI, final String elementLocalName,
            final String namespacePrefix) {
        super(namespaceURI, elementLocalName, namespacePrefix);
        descriptions = new XMLObjectChildrenList<Description>(this);
    }

    @Override
    public String getFriendlyName() {
        return friendlyName;
    }

    @Override
    public void setFriendlyName(final String friendlyName) {
        this.friendlyName = prepareForAssignment(this.friendlyName, friendlyName);
    }

    @Override
    public List<Description> getDescriptions() {
        return descriptions;
    }

    @Override
    public List<XMLObject> getOrderedChildren() {
        final ArrayList<XMLObject> children = new ArrayList<XMLObject>();

        children.addAll(getDescriptions());

        return Collections.unmodifiableList(children);
    }

}
