/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.saml2.metadata.impl;

import jp.gakunin.uApprovejp.saml2.metadata.Description;
import jp.gakunin.uApprovejp.saml2.metadata.RequestedAttributeExtension;

import org.opensaml.saml2.core.impl.AttributeUnmarshaller;
import org.opensaml.xml.XMLObject;
import org.opensaml.xml.io.UnmarshallingException;
import org.w3c.dom.Attr;

/**
 *
 */
public class RequestedAttributeExtensionUnmarshaller extends AttributeUnmarshaller {

    /** {@inheritDoc} */
    protected void processChildElement(final XMLObject parentSAMLObject, final XMLObject childSAMLObject)
            throws UnmarshallingException {
        final RequestedAttributeExtension requestedAttributeExtension = (RequestedAttributeExtension) parentSAMLObject;

        if (childSAMLObject instanceof Description) {
            requestedAttributeExtension.getDescriptions().add((Description) childSAMLObject);
        } else {
            super.processChildElement(parentSAMLObject, childSAMLObject);
        }
    }

    /** {@inheritDoc} */
    protected void processAttribute(final XMLObject samlObject, final Attr attribute) throws UnmarshallingException {
        final RequestedAttributeExtension requestedAttributeExtension = (RequestedAttributeExtension) samlObject;

        if (attribute.getLocalName().equals(RequestedAttributeExtension.FRIENDLY_NAME_ATTRIB_NAME)) {
            requestedAttributeExtension.setFriendlyName(attribute.getValue());
        } else {
            super.processAttribute(samlObject, attribute);
        }
    }

}
