<%@ include file="header.jsp" %>
<body>
<form method="post" style="padding:10px">
    <input name="<%= ConsentMode.Parameter %>" value="${ConsentMode}" type="hidden">
    <div class="box">
            <div class="box_header">
                <img src="<%= request.getContextPath()%>/uApprove/federation-logo.png" alt="" class="federation_logo" >
                <img src="<%= request.getContextPath()%>/uApprove/logo.png" alt="" class="organization_logo">
            </div>
            <p style="margin-top: 70px;">
                <fmt:message key="serviceNameLabel"/><br/>
                <c:choose>
                    <c:when test="${locale == 'ja'}">
                <span class="organization_name"><%= organization %></span> <fmt:message key="of"/> <span class="service_name"><idpui:serviceName/></span>
                    </c:when>
                    <c:otherwise>
                <span class="service_name"><idpui:serviceName/></span> <fmt:message key="of"/> <span class="organization_name"><%= organization %></span>
                    </c:otherwise>
                </c:choose>
            </p>
            <p style="margin-top: 10px;">
                <fmt:message key="serviceDescriptionLabel"/><br/>
                <span class="service_description"><idpui:serviceDescription/></span><br />
            </p>
            <div id="attributeRelease">
                <table>
                    <colgroup>
                        <col class="attribute_name">
                        <col class="attribute_value">
                        <col class="warning">
                        <col class="use">
                        <col class="help">
                    </colgroup>
                    <thead>
                       <tr>
                          <th colspan="5">
                              <fmt:message key="attributesHeader"/>
                          </th>
                       </tr>
                    </thead>
                    <tbody>

                    <c:set var="count" value="0"/>

                    <!-- mandatory attributes -->
                    <c:forEach var="attribute" items="${mandatoryAttributes}" varStatus="status">
                        <c:set var="count" value="${count + 1}"/>
                        <c:choose>
                            <c:when test="${count % 2 == 0}">
                                <c:set var="rowStyle" value="background-color:#E4E5E3;"/>
                            </c:when>
                            <c:otherwise>
                                <c:set var="rowStyle" value=""/>
                            </c:otherwise>
                        </c:choose>
                        <tr style="${rowStyle}">
                            <td title="${attribute.description}">
                                ${attribute.name}
                            </td>
                            <td>
                            <c:forEach var="value" items="${attribute.values}">
                                <strong>${fn:replace(value, '$', '<br />')}</strong> <br />
                            </c:forEach>
                            </td>
                            <td class="warning">
                              <c:if test="${attribute.modified}"><span class="aui-icon icon-warn" /></c:if>
                            </td>
                            <td class="use">
                              <c:if test="${attribute.intendedUse != null}"><span class="aui-icon icon-use" onclick="toggle_detail(document.getElementById('${attribute.id}'));" /></c:if>
                            </td>
                            <td class="help" title="${attribute.description}">
                              <c:if test="${attribute.description != null}"><span class="aui-icon icon-help" /></c:if>
                            </td>
                        </tr>
                        <c:if test="${attribute.intendedUse != null}">
                        <tr id="${attribute.id}" style="display: none; ${rowStyle}">
                            <td colspan="5"><span class="intended_use journal_block_style"><fmt:message key="intendedUse"/></span> ${attribute.intendedUse}</td>
                        </tr>
                        </c:if>
                    </c:forEach>

                    <!-- optional attributes -->
                    <c:forEach var="attribute" items="${attributes}">
                        <c:if test="${attribute.selected}">
                            <c:set var="count" value="${count + 1}"/>
                            <c:choose>
                                <c:when test="${count % 2 == 0}">
                                    <c:set var="rowStyle" value="background-color:#E4E5E3;"/>
                                </c:when>
                                <c:otherwise>
                                    <c:set var="rowStyle" value=""/>
                                </c:otherwise>
                            </c:choose>
                            <tr style="${rowStyle}">
                                <td title="${attribute.description}">
                                    ${attribute.name}
                                </td>
                                <td>
                                <c:forEach var="value" items="${attribute.values}">
                                    <strong>${fn:replace(value, '$', '<br />')}</strong> <br />
                                </c:forEach>
                                </td>
                                <td class="warning">
                                  <c:if test="${attribute.modified}"><span class="aui-icon icon-warn"/></c:if>
                                </td>
                                <td class="use">
                              <c:if test="${attribute.intendedUse != null}"><span class="aui-icon icon-use" onclick="toggle_detail(document.getElementById('${attribute.id}'));" /></c:if>
                                </td>
                                <td class="help" title="${attribute.description}">
                                  <c:if test="${attribute.description != null}"><span class="aui-icon icon-help" /></c:if>
                                </td>
                            </tr>
                            <c:if test="${attribute.intendedUse != null}">
                            <tr id="${attribute.id}" style="display: none; ${rowStyle}">
                                <td colspan="5"><span class="intended_use journal_block_style"><fmt:message key="intendedUse"/></span> ${attribute.intendedUse}</td>
                            </tr>
                            </c:if>
                        </c:if>
                   </c:forEach>
                   </tbody>
                </table>
            </div>

        <div style="float:left;">
            <p>
                    <fmt:message key="finalConfirmation"/>
            </p>
     <p style="text-align: center;">
                    <input type="submit" name="back" value="<fmt:message key="back"/>" style="margin-right: 30px;" />
                    <input type="submit" name="send" value="<fmt:message key="send"/>" />
            </p>

      </div>

    </div>
</form>
</body>
<%@ include file="footer.jsp" %>
