<%@ include file="header.jsp" %>
<body>
<script type="text/javascript">
    function freeze_optional_attributes(mode) {
        var tbody = document.getElementById("optionalAttrs");
        var input = tbody.getElementsByTagName("input");
        for (var i = 0; i < input.length; i++) {
            if (input[i].type == "checkbox") {
                input[i].disabled = mode;
                if (mode) {
                    input[i].checked = true;
                }
                if (input[i+1].type == "hidden" &&
                    input[i+1].value == input[i].value) {
                    i++;
                    input[i].disabled = !mode;
                }
            }
        }
    }
</script>

<form method="post" style="padding:10px">
    <div class="box">
            <div class="box_header">
                <img src="<%= request.getContextPath()%>/uApprove/federation-logo.png" alt="" class="federation_logo" >
                <img src="<%= request.getContextPath()%>/uApprove/logo.png" alt="" class="organization_logo">
            </div>
            <p style="margin-top: 70px;">
                <fmt:message key="serviceNameLabel"/><br/>
                <c:choose>
                    <c:when test="${locale == 'ja'}">
                <span class="organization_name"><%= organization %></span> <fmt:message key="of"/> <span class="service_name"><idpui:serviceName/></span>
                    </c:when>
                    <c:otherwise>
                <span class="service_name"><idpui:serviceName/></span> <fmt:message key="of"/> <span class="organization_name"><%= organization %></span>
                    </c:otherwise>
                </c:choose>
            </p>
            <p style="margin-top: 10px;">
                <fmt:message key="serviceDescriptionLabel"/><br/>
                <span class="service_description"><idpui:serviceDescription/></span><br />
            </p>
            <div id="attributeRelease">
                <table>
                    <colgroup>
                        <col class="checkbox">
                        <col class="attribute_name">
                        <col class="attribute_value">
                        <col class="warning">
                        <col class="use">
                        <col class="help">
                    </colgroup>
                    <thead>
                       <tr>
                          <th colspan="6">
                              <fmt:message key="attributesHeader"/>
                          </th>
                       </tr>
                    </thead>
                    <tbody id="mandatoryAttrs">
                    <% if (mandatoryAttributes.size() > 0) { %>
                       <tr>
                          <th class="subheader" colspan="6">
                              <fmt:message key="mandatoryAttrsHeader"/>
                          </th>
                       </tr>
                    <% } %>
                    <c:forEach var="attribute" items="${mandatoryAttributes}" varStatus="status">
                        <c:choose>
                            <c:when test="${status.count % 2 == 0}">
                                <c:set var="rowStyle" value="background-color:#E4E5E3;"/>
                            </c:when>
                            <c:otherwise>
                                <c:set var="rowStyle" value=""/>
                            </c:otherwise>
                        </c:choose>
                        <tr style="${rowStyle}">
                            <td>
                              <input type="checkbox" name="dummy[]" disabled readonly checked />
                              <input type="hidden" name="approved-attributes[]" value="${attribute.id}" />
                            </td>
                            <td>
                              ${attribute.name}
                            </td>
                            <td>
                            <c:forEach var="value" items="${attribute.values}">
                                <strong>${fn:replace(value, '$', '<br />')}</strong> <br />
                            </c:forEach>
                            </td>
                            <td class="warning">
                              <c:if test="${attribute.modified}"><span class="aui-icon icon-warn" /></c:if>
                            </td>
                            <td class="use">
                              <c:if test="${attribute.intendedUse != null}"><span class="aui-icon icon-use" onclick="toggle_detail(document.getElementById('${attribute.id}'));" /></c:if>
                            </td>
                            <td class="help" title="${attribute.description}">
                              <c:if test="${attribute.description != null}"><span class="aui-icon icon-help" /></c:if>
                            </td>
                        </tr>
                        <c:if test="${attribute.intendedUse != null}">
                        <tr id="${attribute.id}" style="display: none; ${rowStyle}">
                            <td style="vertical-align: middle"></td>
                            <td colspan="5"><span class="intended_use journal_block_style"><fmt:message key="intendedUse"/></span> ${attribute.intendedUse}</td>
                        </tr>
                        </c:if>
                    </c:forEach>
                    </tbody>
                    <tbody id="optionalAttrs">
                    <% if (attributes.size() > 0) { %>
                       <tr>
                          <th class="subheader attrs-optional" colspan="6">
                              <fmt:message key="optionalAttrsHeader"/>
                          </th>
                       </tr>
                    <% } %>
                    <c:forEach var="attribute" items="${attributes}" varStatus="status">
                        <c:choose>
                            <c:when test="${status.count % 2 == 0}">
                                <c:set var="rowStyle" value="background-color:#E4E5E3;"/>
                            </c:when>
                            <c:otherwise>
                                <c:set var="rowStyle" value=""/>
                            </c:otherwise>
                        </c:choose>
                        <tr style="${rowStyle}">
                            <td>
                              <input type="checkbox" name="approved-attributes[]" value="${attribute.id}"
                                <c:if test="${attribute.selected}">checked</c:if>
                                <c:if test="${allowGeneralConsent}">
                                   <% if (mode == ConsentMode.GENERAL) { %>
                                       disabled
                                   <% } %>
                                </c:if>
                              />
                              <c:if test="${allowGeneralConsent}">
                              <input type="hidden" name="approved-attributes[]" value="${attribute.id}"
                                   <% if (mode != ConsentMode.GENERAL) { %>
                                       disabled
                                   <% } %>
                              />
                              </c:if>
                            </td>
                            <td>
                              ${attribute.name}
                            </td>
                            <td>
                            <c:forEach var="value" items="${attribute.values}">
                                <strong>${fn:replace(value, '$', '<br />')}</strong> <br />
                            </c:forEach>
                            </td>
                            <td class="warning">
                              <c:if test="${attribute.modified}"><span class="aui-icon icon-warn" /></c:if>
                            </td>
                            <td class="use">
                              <c:if test="${attribute.intendedUse != null}"><span class="aui-icon icon-use" onclick="toggle_detail(document.getElementById('${attribute.id}'));" /></c:if>
                            </td>
                            <td class="help" title="${attribute.description}">
                              <c:if test="${attribute.description != null}"><span class="aui-icon icon-help" /></c:if>
                            </td>
                        </tr>
                        <c:if test="${attribute.intendedUse != null}">
                        <tr id="${attribute.id}" style="display: none; ${rowStyle}">
                            <td style="vertical-align: middle"></td>
                            <td colspan="5"><span class="intended_use journal_block_style"><fmt:message key="intendedUse"/></span> ${attribute.intendedUse}</td>
                        </tr>
                        </c:if>
                    </c:forEach>
                    </tbody>
                </table>
            </div>

        <div style="float:left;">
            <p>
                    <fmt:message key="confirmationQuestion"/>
            </p>
            <div id="generalConsentDiv" style="background-color: #F6F6F6;border: 1px gray solid; padding: 10px; width: 92%;">
                <h3><fmt:message key="globalDataReleaseConsentTitle"/></h3>
                <table>
                   <tbody>
                        <tr>
                                <td style="vertical-align: top"><input name="<%= ConsentMode.Parameter %>" value="<%= ConsentMode.ONE_TIME %>" type="radio"
                                    onClick="freeze_optional_attributes(false)"
 <% if (mode == ConsentMode.ONE_TIME || mode == ConsentMode.NOT_CONSENT) { out.println("checked"); } %> /></td>

                                <td><fmt:message key="oneTimeConsent"/></td>
                        </tr>
                        <tr>
                            <td style="vertical-align: top"></td>
                            <td><span class="wordframe" onclick="toggle_detail(document.getElementById('oneTime'))">+ <fmt:message key="showDetails"/></span>
                                <ul id="oneTime" style="display: none">
                                    <li><fmt:message key="oneTimeConsentItem1"/></li>
                                    <li><fmt:message key="oneTimeConsentItem2"/></li>
                                </ul>
                            </td>
                        </tr>
                        <tr>
                                <td style="vertical-align: top"><input name="<%= ConsentMode.Parameter %>" value="<%= ConsentMode.THIS_SERVICE %>" type="radio"
                                    onClick="freeze_optional_attributes(false)"
 <% if (mode == ConsentMode.THIS_SERVICE) { out.println("checked"); } %> /></td>
                                <td><fmt:message key="thisService"/></td>
                        </tr>
                        <tr>
                            <td style="vertical-align: top"></td>
                            <td><span class="wordframe" onclick="toggle_detail(document.getElementById('thisService'));">+ <fmt:message key="showDetails"/></span>
                                <ul id="thisService" style="display: none">
                                    <li><fmt:message key="thisServiceItem1"/></li>
                                    <li><fmt:message key="thisServiceItem2"/></li>
                                    <li><fmt:message key="thisServiceItem3"/></li>
                                </ul>
                            </td>
                        </tr>
                        <c:if test="${allowGeneralConsent}">
                        <tr>
                                <td style="vertical-align: top"><input name="<%= ConsentMode.Parameter %>" value="<%= ConsentMode.GENERAL %>" type="radio"
                                    onClick="freeze_optional_attributes(true)"
 <% if (mode == ConsentMode.GENERAL) { out.println("checked"); } %> /></td>
                                <td><fmt:message key="globalDataReleaseConsentCheckbox"/></td>
                        </tr>
                        <tr>
                            <td style="vertical-align: top"></td>
                            <td><span class="wordframe" onclick="toggle_detail(document.getElementById('general'));">+ <fmt:message key="showDetails"/></span>
                                <ul id="general" style="display: none">
                                    <li><fmt:message key="globalDataReleaseConsentItem1"><fmt:param><idpui:serviceName/></fmt:param></fmt:message></li>
                                    <li><fmt:message key="globalDataReleaseConsentItem2"/></li>
                                    <li><fmt:message key="globalDataReleaseConsentItem3"/></li>
                                </ul>
                            </td>
                        </tr>
                        </c:if>
                   </tbody>
                </table>
            </div>    
     <p style="text-align: center;">
                    <input type="reset" name="noconfirm" value="<fmt:message key="reject"/>" style="margin-right: 30px;" onclick="alert('<fmt:message key="rejectMessage"/>')" />
                    <input type="submit" name="next" value="<fmt:message key="accept"/>" />
            </p>

      </div>

    </div>
</form>
</body>
<%@ include file="footer.jsp" %>
